- Qt 6.11
- Qt Core
- <QtPreprocessorSupport>
- Qt 6.11.1 Reference Documentation

# <QtPreprocessorSupport>

Preprocessor-specific macros. More...

Header: | `#include <QtPreprocessorSupport>`

## Macros

| QT_STRINGIFY(arg)
| Q_UNUSED(name)

## Detailed Description

## Macro Documentation

### QT_STRINGIFY(arg)

The macro can be used to turn the builtin line expander arg into a string literal.

### Q_UNUSED(name)

Indicates to the compiler that the parameter with the specified name is not used in the body of a function. This can be used to suppress compiler warnings while allowing functions to be defined with meaningful parameter names in their signatures.